/**
 * Copyright © VNG Realisatie 2023
 * Licensed under the EUPL
 */

@use "../theme";

$_inner-border-width: 2px;

.alert {
    padding: theme.$spacing05 theme.$spacing05 theme.$spacing05 3rem;
    background-repeat: no-repeat;
    background-size: 20px;
    background-position: 14px 18px;
    border-left: theme.$spacing02 solid;

    &__title {
        font-weight: theme.$fontWeightBold;
        margin: 0;
    }

    &__content {
        margin: 0;
    }
}

.alert--error {
    @extend .alert;

    background-color: theme.$colorAlertErrorBackground;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='24' height='24'%3E%3Cpath fill='%23ff646e' d='M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zm-1-7v2h2v-2h-2zm0-8v6h2V7h-2z'/%3E%3C/svg%3E%0A");
    border-left-color: theme.$colorAlertError;
}

.alert--success {
    @extend .alert;

    background-color: theme.$colorAlertSuccessBackground;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" view-box="0 0 24 24" width="24" height="24"><path fill="%2375A25B" d="M10 15.172l9.192-9.193 1.415 1.414L10 18l-6.364-6.364 1.414-1.414z"/></svg>');
    border-left-color: theme.$colorAlertSuccess;
}

.alert--warning {
    @extend .alert;

    background-color: theme.$colorAlertWarningBackground;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" view-box="0 0 24 24" width="24" height="24"><path fill="%23FFBC2C" d="M12.866 3l9.526 16.5a1 1 0 0 1-.866 1.5H2.474a1 1 0 0 1-.866-1.5L11.134 3a1 1 0 0 1 1.732 0zM11 16v2h2v-2h-2zm0-7v5h2V9h-2z"/></svg>');
    border-left-color: theme.$colorAlertWarning;
}
